com.genesyslab.wfm8.API.service.schedule852

## Class SchScenarioProfile

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchScenarioProfile

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioProfile
      extends java.lang.Object
      implements java.io.Serializable

  Profile based schedule information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmCurrNumber`
    `protected double` | `wmGrowPerc`
    `protected int` | `wmMaxNumber`
    `protected int` | `wmMinNumber`
    `protected int` | `wmProfileId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioProfile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmCurrNumber()` Gets the value of the wmCurrNumber property.
    `double` | `getWmGrowPerc()` Gets the value of the wmGrowPerc property.
    `int` | `getWmMaxNumber()` Gets the value of the wmMaxNumber property.
    `int` | `getWmMinNumber()` Gets the value of the wmMinNumber property.
    `int` | `getWmProfileId()` Gets the value of the wmProfileId property.
    `int` | `hashCode()`
    `void` | `setWmCurrNumber(int value)` Sets the value of the wmCurrNumber property.
    `void` | `setWmGrowPerc(double value)` Sets the value of the wmGrowPerc property.
    `void` | `setWmMaxNumber(int value)` Sets the value of the wmMaxNumber property.
    `void` | `setWmMinNumber(int value)` Sets the value of the wmMinNumber property.
    `void` | `setWmProfileId(int value)` Sets the value of the wmProfileId property.
    `java.lang.String` | `toString()`
    `SchScenarioProfile` | `withWmCurrNumber(int value)`
    `SchScenarioProfile` | `withWmGrowPerc(double value)`
    `SchScenarioProfile` | `withWmMaxNumber(int value)`
    `SchScenarioProfile` | `withWmMinNumber(int value)`
    `SchScenarioProfile` | `withWmProfileId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmProfileId

          protected int wmProfileId

    - #### wmMinNumber

          protected int wmMinNumber

    - #### wmMaxNumber

          protected int wmMaxNumber

    - #### wmCurrNumber

          protected int wmCurrNumber

    - #### wmGrowPerc

          protected double wmGrowPerc

  - ### Constructor Detail

    - #### SchScenarioProfile

          public SchScenarioProfile()

  - ### Method Detail

    - #### getWmProfileId

          public int getWmProfileId()

      Gets the value of the wmProfileId property.

    - #### setWmProfileId

          public void setWmProfileId(int value)

      Sets the value of the wmProfileId property.

    - #### getWmMinNumber

          public int getWmMinNumber()

      Gets the value of the wmMinNumber property.

    - #### setWmMinNumber

          public void setWmMinNumber(int value)

      Sets the value of the wmMinNumber property.

    - #### getWmMaxNumber

          public int getWmMaxNumber()

      Gets the value of the wmMaxNumber property.

    - #### setWmMaxNumber

          public void setWmMaxNumber(int value)

      Sets the value of the wmMaxNumber property.

    - #### getWmCurrNumber

          public int getWmCurrNumber()

      Gets the value of the wmCurrNumber property.

    - #### setWmCurrNumber

          public void setWmCurrNumber(int value)

      Sets the value of the wmCurrNumber property.

    - #### getWmGrowPerc

          public double getWmGrowPerc()

      Gets the value of the wmGrowPerc property.

    - #### setWmGrowPerc

          public void setWmGrowPerc(double value)

      Sets the value of the wmGrowPerc property.

    - #### withWmProfileId

          public SchScenarioProfile withWmProfileId(int value)

    - #### withWmMinNumber

          public SchScenarioProfile withWmMinNumber(int value)

    - #### withWmMaxNumber

          public SchScenarioProfile withWmMaxNumber(int value)

    - #### withWmCurrNumber

          public SchScenarioProfile withWmCurrNumber(int value)

    - #### withWmGrowPerc

          public SchScenarioProfile withWmGrowPerc(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.